Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class PropertyProjection

    java.lang.Object
      com.google.appengine.api.datastore.Projection
          com.google.appengine.api.datastore.PropertyProjection

All Implemented Interfaces:
  java.io.Serializable

    public final class PropertyProjection

extends Projection

A property projection. If specified on a query, this will cause the query return the specified property.

See Also:
  `Query.getProjections()`, Serialized Form

Constructor Summary
`PropertyProjection(java.lang.String propertyName, java.lang.Class<?> type)` Constructs a property projection.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()` Returns the name of the property this projection populates.
`java.lang.Class<?>` | `getType()` Returns the type specified for this projection.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyProjection

    public PropertyProjection(java.lang.String propertyName,
                              java.lang.Class<?> type)

  Constructs a property projection. If type is specified, `RawValue.asType(Class)` will be used to restore the original value of the property. Otherwise instances of `RawValue` will be returned.

  Parameters:
    `propertyName` - The name of the property to project
    `type` - The type of values stored in the projected properties or if the type is not known or variable. If `null`, `RawValues` are returned.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Projection`
  Returns the name of the property this projection populates.

  Specified by:
    `getName` in class `Projection`

### getType

    public java.lang.Class<?> getType()

  Returns the type specified for this projection.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD